---
title: Filtering
page_title: Filtering - AutoComplete - Kendo UI for Vue
description: "Filter the data while using the Kendo UI AutoComplete wrapper for Vue."
slug: filtering_autocomplete
position: 3
---

# Filtering

The AutoComplete allows you to use the server filtering functionality to display a subset of data.

Server-filtering relies on the filtering capability of the [`serverFiltering`](https://docs.telerik.com/kendo-ui/api/javascript/data/datasource#configuration-serverFiltering) option of the [Kendo UI Data Source](https://docs.telerik.com/kendo-ui/framework/datasource/overview) component and the [`filter`](https://docs.telerik.com/kendo-ui/api/javascript/ui/autocomplete#configuration-filter) configuration of the component.

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-datasource ref="datasource"
                      :type="'odata'"
                      :transport-read-url="'https://demos.telerik.com/kendo-ui/service/Northwind.svc/Orders'"
                      :server-filtering="true"
                      :page-size="80">
    </kendo-datasource>
    <kendo-autocomplete :data-source-ref="'datasource'"
                        :data-text-field="'ShipName'"
                        :placeholder="'Choose a ship...'"
                        :filter="'contains'">
    </kendo-autocomplete>
</div>
```
```js
Vue.use(DropdownsInstaller);
Vue.use(DataSourceInstaller);

new Vue({
    el: "#vueapp"
})
```

## Suggested Links

* [Kendo UI AutoComplete for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/autocomplete/overview)
* [API Reference of the AutoComplete Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/autocomplete)
