---
title: RTL Support
page_title: RTL Support - MultiSelect - Kendo UI for Vue
description: "Explore the RTL support offered by the Kendo UI MultiSelect wrapper for Vue."
slug: rtl_support_multiselect
position: 10
---

# RTL Support

You can activate the right-to-left functionality by adding the `k-rtl` class to the container of the MultiSelect.

If you use a [Kendo UI LESS-based theme](https://docs.telerik.com/kendo-ui/styles-and-layout/appearance-styling), register the `kendo.rtl.[min].css` file too.

The following example demonstrates how to utilize the RTL support for the MultiSelect.

```html-preview
<div id="vueapp" class="vue-app">
    <div class="k-rtl">
        <kendo-multiselect :data-source="dataSourceArray"
                           :data-text-field="'text'"
                           :data-value-field="'value'">
        </kendo-multiselect>
    </div>
</div>
```
```js
Vue.use(DropdownsInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            dataSourceArray: [
                { text: 'Black', value: '1' },
                { text: 'Orange', value: '2' },
                { text: 'Grey', value: '3' }
            ]
        }
    }
})
```

## Suggested Links

* [Kendo UI MultiSelect for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/multiselect/overview)
* [API Reference of the MultiSelect Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/multiselect)
